Project

General

Profile

Tâche #31001

Scénario #31241: Problèmes rencontrés lors de la qualification 2.8.0-rc1

SC-T04-016 - Maj-Auto sans rsyslog (2.8.0-beta1) - Gérer les traceback

Added by Fabrice Barconnière 11 months ago. Updated 9 months ago.

Status:
Fermé
Priority:
Normal
Assigned To:
Start date:
04/10/2020
Due date:
11/27/2020
% Done:

100%

Estimated time:
0.00 h
Remaining (hours):
0.0

Description

Ajouter un pas qui flingue correctement systemd-journald

Pas №3

Pas de message d'erreur de log. Le service systemd-journald se relance automatiquement

Exécution Squash-TM

History

#1 Updated by Fabrice Barconnière 11 months ago

  • Subject changed from Correction SC-T04-016 - Maj-Auto sans rsyslog (2.8.0-beta1) to Correction test SC-T04-016 - Maj-Auto sans rsyslog (2.8.0-beta1)
  • Description updated (diff)

#2 Updated by Fabrice Barconnière 11 months ago

  • Status changed from Nouveau to En cours

#3 Updated by Fabrice Barconnière 11 months ago

  • Assigned To set to Fabrice Barconnière

#4 Updated by Fabrice Barconnière 11 months ago

Pas 2 modifié et ajout du pas 4.

Le traceback est affiché :

root@eolebase:~# Maj-Auto 
Mise à jour le mardi 10 novembre 2020 09:24:36
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib/python3.8/logging/handlers.py", line 934, in emit
    self.socket.send(msg)
OSError: [Errno 9] Bad file descriptor

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.8/logging/handlers.py", line 855, in _connect_unixsocket
    self.socket.connect(address)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.8/logging/handlers.py", line 937, in emit
    self._connect_unixsocket(self.address)
  File "/usr/lib/python3.8/logging/handlers.py", line 866, in _connect_unixsocket
    self.socket.connect(address)
ConnectionRefusedError: [Errno 111] Connection refused
Call stack:
  File "/usr/bin/Maj-Auto", line 504, in <module>
    main()
  File "/usr/bin/Maj-Auto", line 246, in main
    fonctionseole.zephir("INIT", "Début{0}".format(z_level), z_proc)
  File "/usr/lib/python3/dist-packages/creole/fonctionseole.py", line 223, in zephir
    log(etat, msg, type_proc, console)
  File "/usr/lib/python3/dist-packages/creole/fonctionseole.py", line 208, in log
    getattr(z_logger, log_func)("%s => %s : %s " % (type_proc, etat, msg))
Message: 'MAJ => INIT : Début '
Arguments: ()
*** eolebase 2.8.0 (0000000A) ***

Configuration du dépôt Ubuntu avec la source test-eole.ac-dijon.fr
Configuration du dépôt EOLE avec la source test-eole.ac-dijon.fr

#5 Updated by Fabrice Barconnière 11 months ago

  • Parent task deleted (#30862)

#6 Updated by Fabrice Barconnière 11 months ago

  • Tracker changed from Tâche to Scénario
  • Subject changed from Correction test SC-T04-016 - Maj-Auto sans rsyslog (2.8.0-beta1) to SC-T04-016 - Maj-Auto sans rsyslog (2.8.0-beta1) - Gérer les traceback
  • Due date set to 11/27/2020
  • Status changed from En cours to Nouveau
  • Assigned To deleted (Fabrice Barconnière)
  • Target version changed from sprint 2020 43-45 Equipe MENSR to sprint 2020 46-48 Equipe MENSR

#7 Updated by Gilles Grandgérard 10 months ago

  • Target version changed from sprint 2020 46-48 Equipe MENSR to sprint 2020 49-51 Equipe MENSR

#8 Updated by Joël Cuissinat 10 months ago

  • Release set to EOLE 2.8.0
  • Story points set to 1.0

#9 Updated by Joël Cuissinat 9 months ago

  • Parent task set to #31241

#10 Updated by Joël Cuissinat 9 months ago

  • Status changed from Nouveau to Résolu
  • Assigned To set to Joël Cuissinat

Je ne vois pas de résolution triviale.

Sachant que cela a peu de chance d'arriver en production, je propose laisser le code en l'état et de déplacer le test dans les obsolètes !

#11 Updated by Fabrice Barconnière 9 months ago

  • % Done changed from 0 to 100

OK

#12 Updated by Fabrice Barconnière 9 months ago

  • Status changed from Résolu to Fermé

Also available in: Atom PDF